// In order to *not* need this ignore, consider extracting the "web" version
// of your plugin as a separate package, instead of inlining it in the same
// package as the core of your plugin.
// ignore: avoid_web_libraries_in_flutter
import 'dart:html';
import 'dart:io';

import 'package:flutter_web_plugins/flutter_web_plugins.dart';

import 'icon_plugin_platform_interface.dart';

/// A web implementation of the IconPluginPlatform of the IconPlugin plugin.
class IconPluginWeb extends IconPluginPlatform {
  /// Constructs a IconPluginWeb
  IconPluginWeb();

  static void registerWith(Registrar registrar) {
    IconPluginPlatform.instance = IconPluginWeb();
  }

  /// sets favicon of webpage
  @override
  Future<String> setIcon({required String icon}) {
    LinkElement? link = querySelector("link[rel~='icon']") as LinkElement?;
    LinkElement? link2 =
        querySelector("link[rel~='apple-touch-icon']") as LinkElement?;
    if (link == null) {
      link = LinkElement()
        ..href = icon
        ..rel = 'icon';
      querySelector('head')?.children?.add(link);
      return Future(() => icon);
    }
    link.href = icon;
    link2?.href = icon;
    return Future(() => icon);
  }
}
