import 'package:flutter/services.dart';
import 'package:flutter_test/flutter_test.dart';
import 'package:icon_plugin/icon_plugin_method_channel.dart';

void main() {
  MethodChannelIconPlugin platform = MethodChannelIconPlugin();
  const MethodChannel channel = MethodChannel('icon_plugin');

  TestWidgetsFlutterBinding.ensureInitialized();

  setUp(() {
    channel.setMockMethodCallHandler((MethodCall methodCall) async {
      return 'test';
    });
  });

  tearDown(() {
    channel.setMockMethodCallHandler(null);
  });

  test('setIcon test', () async {
    // expect(await platform.getPlatformVersion(), '42');
  });
}
